Bug 985836 - dates in PO files should be in "%Y-%m-%d %H:%M%z" format
dates in PO files should be in "%Y-%m-%d %H:%M%z" format
Product: Publican
Classification: Community
Component: publican (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: PnT DevOps Devs
Depends On:
  Show dependency treegraph
Reported: 2013-07-18 06:58 EDT by Raphaël Hertzog
Modified: 2013-08-09 00:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-09 00:47:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Suggested patch (352 bytes, text/plain)
2013-07-18 06:58 EDT, Raphaël Hertzog
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 714739 None None None Never

  None (edit)
Description Raphaël Hertzog 2013-07-18 06:58:08 EDT
Created attachment 775251 [details]
Suggested patch

(I'm filing this bug on behalf of Jakub Wilk <jwilk@debian.org> who filed it at http://bugs.debian.org/714739)

publican generates PO files with dates like this:

POT-Creation-Date: 2012-07-29T20:56:34

This is a different format than GNU gettext tools use, e.g.:

POT-Creation-Date: 2013-07-02 12:57+0200

It would be better to follow the GNU convention here too. I'm attaching Jakub's suggested and untested patch.
Comment 2 HSS Product Manager 2013-07-18 18:37:32 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Jeff Fearn 2013-07-18 18:52:59 EDT
$ grep POT-Creation-Date pot/Book_Info.pot
"POT-Creation-Date: 2013-07-19 08:51+1000\n"

To ssh://git.fedorahosted.org/git/publican.git
   cc28d75..2d9e256  HEAD -> devel
Comment 4 Scott Radvan 2013-07-18 20:24:18 EDT
pot date now follows GNU format, eg:

"POT-Creation-Date: 2013-07-19 10:20+1000\n"

verified with publican-3.1.5-0.fc19.t61.noarch
Comment 5 Jeff Fearn 2013-08-09 00:47:28 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.